CREATE TABLE VS4TSaleForecast(
	TSFCTBraCode nvarchar(30) NOT NULL,
	TSFCTPdtCode nvarchar(30) NOT NULL,
	TSFCYear int NOT NULL,
	TSFCMonth int NOT NULL,
	TSFCDay int NOT NULL,
	TSFCType smallint NULL,
	TSFCDate datetime NULL,
	TSFCPlanQty float NULL,
	TSFCProduceQty float NULL,
	TSFCArrearQty float NULL,
	TSFCActualQty float NULL,
	TSFCDifQty float NULL,
	TSFCNewPrice float NULL,
	TSFCPlanAmount float NULL,
	TSFCActualAmount float NULL,
	TSFCDifAmount nvarchar(50) NULL,
	TSFCCreateCode nvarchar(30) NULL,
	TSFCCreateDate datetime NULL,
	TSFCEditCode nvarchar(30) NULL,
	TSFCEditDate datetime NULL,
	TSFCFlag1 smallint NULL,
	TSFCFlag2 smallint NULL,
	TSFCFlag3 datetime NULL
) ON [PRIMARY]
GO
ALTER TABLE VS4TSaleForecast ADD CONSTRAINT
	PK_VS4TSaleForecast PRIMARY KEY CLUSTERED 
	(
	TSFCTBraCode,
	TSFCTPdtCode,
	TSFCYear,
	TSFCMonth,
	TSFCDay
	) ON [PRIMARY]
GO